<?php
header("Content-Type: text/html;charset=utf-8");

class cls_Almacen_Tienda {

	private $db_nombretabla = "almacen_tienda";
	private $db_nombrevista = "vista_almacen_tienda";
	private $db_filas = "*";
	private $almacen_tienda_id = 0;
	private $almacen_general_id = 0;
	private $movimiento_producto_id = 0;
	private $tienda_id = 0;
	private $producto_id = 0;
	private $precio_compra = 0.00;
	private $precio_venta = 0.00;
	private $precio_minimo = 0.00;
	private $unidades = 0;
	private $fecha_vencimiento = "";
	private $ubicacion = "";
	private $tipo_movimiento = "";
	private $activo = true;
	private $nombre_alternativo = "";
	private $producto_nombre = "";
	private $producto_imagen = "";
	private $producto_codigo = "";
	private $producto_codigo_barras = "";
	private $producto_codigo_almacen = "";
	private $producto_fabricante = "";
	private $producto_modelo = "";
	private $producto_serie = "";
	private $producto_peso = "";
	private $producto_stock_minimo = "";
	private $producto_unitario_id = 0;
	private $producto_unitario_nombre = "";
	private $producto_fracciones = 0;
	private $unidad_medida_id = 0;
	private $unidad_medida_nombre = "";
	private $unidad_medida_simbolo = "";
	private $categoria_id = 0;
	private $categoria_codigo = "";
	private $categoria_nombre = "";
	private $tienda_nombre = "";
	private $tienda_imagen = "";
	private $tienda_ubicacion = "";
	private $tienda_telefono = "";
	private $moneda_codigo = "";
	private $moneda_simbolo = "";
	private $moneda_cambio = 1.0;
	private $igv_porcentaje = 0.00;
	private $usuario_modificacion = 0;
	private $fecha_creacion = "";
	private $fecha_modificacion = "";
	
	public function __construct(){
		$this->db_filas = "almacen_tienda_id, almacen_general_id, movimiento_producto_id, moneda_codigo, moneda_simbolo, moneda_cambio, igv_porcentaje, precio_venta, precio_compra, precio_minimo, unidades, fecha_vencimiento, ubicacion, tipo_movimiento, tienda_id, tienda_nombre, tienda_imagen, tienda_ubicacion, tienda_telefono, producto_id, producto_nombre, nombre_alternativo, producto_imagen, producto_codigo, producto_codigo_barras, producto_codigo_almacen, producto_fabricante, producto_modelo, producto_serie, producto_peso, producto_stock_minimo, producto_unitario_id, producto_unitario_nombre, producto_fracciones, categoria_id, categoria_codigo, categoria_nombre, unidad_medida_id, unidad_medida_nombre, unidad_medida_simbolo, usuario_modificacion, fecha_creacion, fecha_modificacion, activo";
	}

	static public function Indice($codigo){
		$current = new cls_Almacen_Tienda();
		$conn = new cls_Conexion();
		$filtro = "almacen_tienda_id = ?";
		$values = array();
		array_push($values, $codigo );
		$lista = $conn->buscar_datos($current->db_nombrevista, $current->db_filas, $filtro, $values, "");
		$current->db_mensaje = $conn->getMensaje();
		for ($indice=0; $indice<count($lista); $indice++){
			$current->almacen_tienda_id = $lista[$indice]["almacen_tienda_id"];
			$current->almacen_general_id = $lista[$indice]["almacen_general_id"];
			$current->movimiento_producto_id = $lista[$indice]["movimiento_producto_id"];
			$current->moneda_codigo = $lista[$indice]["moneda_codigo"];
			$current->moneda_simbolo = $lista[$indice]["moneda_simbolo"];
			$current->moneda_cambio = $lista[$indice]["moneda_cambio"];
			$current->igv_porcentaje = $lista[$indice]["igv_porcentaje"];
			$current->tienda_id = $lista[$indice]["tienda_id"];
			$current->producto_id = $lista[$indice]["producto_id"];
			$current->precio_compra = $lista[$indice]["precio_compra"];
			$current->precio_venta = $lista[$indice]["precio_venta"];
			$current->precio_minimo = $lista[$indice]["precio_minimo"];
			$current->unidades = $lista[$indice]["unidades"];
			$current->fecha_vencimiento = $lista[$indice]["fecha_vencimiento"];
			$current->ubicacion = $lista[$indice]["ubicacion"];
			$current->tipo_movimiento = $lista[$indice]["tipo_movimiento"];
			
			$current->nombre_alternativo = $lista[$indice]["nombre_alternativo"];
			$current->producto_nombre = $lista[$indice]["producto_nombre"];
			$current->producto_imagen = $lista[$indice]["producto_imagen"];
			$current->producto_codigo = $lista[$indice]["producto_codigo"];
			$current->producto_codigo_barras = $lista[$indice]["producto_codigo_barras"];
			$current->producto_codigo_almacen = $lista[$indice]["producto_codigo_almacen"];
			$current->producto_fabricante = $lista[$indice]["producto_fabricante"];
			$current->producto_modelo = $lista[$indice]["producto_modelo"];
			$current->producto_serie = $lista[$indice]["producto_serie"];
			$current->producto_peso = $lista[$indice]["producto_peso"];
			$current->producto_stock_minimo = $lista[$indice]["producto_stock_minimo"];
			$current->producto_unitario_id = $lista[$indice]["producto_unitario_id"];
			$current->producto_unitario_nombre = $lista[$indice]["producto_unitario_nombre"];
			$current->producto_fracciones = $lista[$indice]["producto_fracciones"];
			$current->unidad_medida_id = $lista[$indice]["unidad_medida_id"];
			$current->unidad_medida_nombre = $lista[$indice]["unidad_medida_nombre"];
			$current->unidad_medida_simbolo = $lista[$indice]["unidad_medida_simbolo"];
			$current->categoria_id = $lista[$indice]["categoria_id"];
			$current->categoria_codigo = $lista[$indice]["categoria_codigo"];
			$current->categoria_nombre = $lista[$indice]["categoria_nombre"];
			$current->tienda_nombre = $lista[$indice]["tienda_nombre"];
			$current->tienda_imagen = $lista[$indice]["tienda_imagen"];
			$current->tienda_ubicacion = $lista[$indice]["tienda_ubicacion"];
			$current->tienda_telefono = $lista[$indice]["tienda_telefono"];
			
			$current->usuario_modificacion = $lista[$indice]["usuario_modificacion"];
			$current->fecha_creacion = $lista[$indice]["fecha_creacion"];
			$current->fecha_modificacion = $lista[$indice]["fecha_modificacion"];
			$current->activo = $lista[$indice]["activo"];
		}
		return $current;
	}
	static public function Producto($tienda, $f_producto_id){
		$current = new cls_Almacen_Tienda();
		$conn = new cls_Conexion();
		$filtro = "tienda_id = ? AND producto_id = ?";
		$values = array();
		array_push($values, $tienda );
		array_push($values, $f_producto_id );
		$lista = $conn->buscar_datos($current->db_nombrevista, $current->db_filas, $filtro, $values, "");
		$current->db_mensaje = $conn->getMensaje();
		for ($indice=0; $indice<count($lista); $indice++){
			$current->almacen_tienda_id = $lista[$indice]["almacen_tienda_id"];
			$current->almacen_general_id = $lista[$indice]["almacen_general_id"];
			$current->movimiento_producto_id = $lista[$indice]["movimiento_producto_id"];
			$current->moneda_codigo = $lista[$indice]["moneda_codigo"];
			$current->moneda_simbolo = $lista[$indice]["moneda_simbolo"];
			$current->moneda_cambio = $lista[$indice]["moneda_cambio"];
			$current->igv_porcentaje = $lista[$indice]["igv_porcentaje"];
			$current->tienda_id = $lista[$indice]["tienda_id"];
			$current->producto_id = $lista[$indice]["producto_id"];
			$current->precio_compra = $lista[$indice]["precio_compra"];
			$current->precio_venta = $lista[$indice]["precio_venta"];
			$current->precio_minimo = $lista[$indice]["precio_minimo"];
			$current->unidades = $lista[$indice]["unidades"];
			$current->fecha_vencimiento = $lista[$indice]["fecha_vencimiento"];
			$current->ubicacion = $lista[$indice]["ubicacion"];
			$current->tipo_movimiento = $lista[$indice]["tipo_movimiento"];
			
			$current->nombre_alternativo = $lista[$indice]["nombre_alternativo"];
			$current->producto_nombre = $lista[$indice]["producto_nombre"];
			$current->producto_imagen = $lista[$indice]["producto_imagen"];
			$current->producto_codigo = $lista[$indice]["producto_codigo"];
			$current->producto_codigo_barras = $lista[$indice]["producto_codigo_barras"];
			$current->producto_codigo_almacen = $lista[$indice]["producto_codigo_almacen"];
			$current->producto_fabricante = $lista[$indice]["producto_fabricante"];
			$current->producto_modelo = $lista[$indice]["producto_modelo"];
			$current->producto_serie = $lista[$indice]["producto_serie"];
			$current->producto_peso = $lista[$indice]["producto_peso"];
			$current->producto_stock_minimo = $lista[$indice]["producto_stock_minimo"];
			$current->producto_unitario_id = $lista[$indice]["producto_unitario_id"];
			$current->producto_unitario_nombre = $lista[$indice]["producto_unitario_nombre"];
			$current->producto_fracciones = $lista[$indice]["producto_fracciones"];
			$current->unidad_medida_id = $lista[$indice]["unidad_medida_id"];
			$current->unidad_medida_nombre = $lista[$indice]["unidad_medida_nombre"];
			$current->unidad_medida_simbolo = $lista[$indice]["unidad_medida_simbolo"];
			$current->categoria_id = $lista[$indice]["categoria_id"];
			$current->categoria_codigo = $lista[$indice]["categoria_codigo"];
			$current->categoria_nombre = $lista[$indice]["categoria_nombre"];
			$current->tienda_nombre = $lista[$indice]["tienda_nombre"];
			$current->tienda_imagen = $lista[$indice]["tienda_imagen"];
			$current->tienda_ubicacion = $lista[$indice]["tienda_ubicacion"];
			$current->tienda_telefono = $lista[$indice]["tienda_telefono"];
			
			$current->usuario_modificacion = $lista[$indice]["usuario_modificacion"];
			$current->fecha_creacion = $lista[$indice]["fecha_creacion"];
			$current->fecha_modificacion = $lista[$indice]["fecha_modificacion"];
			$current->activo = $lista[$indice]["activo"];
		}
		return $current;
	}
	static public function ProductoPrecios($tienda, $f_producto_id, $f_precio_venta, $f_precio_minimo){
		$current = new cls_Almacen_Tienda();
		$conn = new cls_Conexion();
		$filtro = "tienda_id = ? AND producto_id = ? AND precio_venta = ? AND precio_minimo = ?";
		$values = array();
		array_push($values, $tienda );
		array_push($values, $f_producto_id );
		array_push($values, $f_precio_venta );
		array_push($values, $f_precio_minimo );
		$lista = $conn->buscar_datos($current->db_nombrevista, $current->db_filas, $filtro, $values, "");
		$current->db_mensaje = $conn->getMensaje();
		for ($indice=0; $indice<count($lista); $indice++){
			$current->almacen_tienda_id = $lista[$indice]["almacen_tienda_id"];
			$current->almacen_general_id = $lista[$indice]["almacen_general_id"];
			$current->movimiento_producto_id = $lista[$indice]["movimiento_producto_id"];
			$current->moneda_codigo = $lista[$indice]["moneda_codigo"];
			$current->moneda_simbolo = $lista[$indice]["moneda_simbolo"];
			$current->moneda_cambio = $lista[$indice]["moneda_cambio"];
			$current->igv_porcentaje = $lista[$indice]["igv_porcentaje"];
			$current->tienda_id = $lista[$indice]["tienda_id"];
			$current->producto_id = $lista[$indice]["producto_id"];
			$current->precio_compra = $lista[$indice]["precio_compra"];
			$current->precio_venta = $lista[$indice]["precio_venta"];
			$current->precio_minimo = $lista[$indice]["precio_minimo"];
			$current->unidades = $lista[$indice]["unidades"];
			$current->fecha_vencimiento = $lista[$indice]["fecha_vencimiento"];
			$current->ubicacion = $lista[$indice]["ubicacion"];
			$current->tipo_movimiento = $lista[$indice]["tipo_movimiento"];
			
			$current->nombre_alternativo = $lista[$indice]["nombre_alternativo"];
			$current->producto_nombre = $lista[$indice]["producto_nombre"];
			$current->producto_imagen = $lista[$indice]["producto_imagen"];
			$current->producto_codigo = $lista[$indice]["producto_codigo"];
			$current->producto_codigo_barras = $lista[$indice]["producto_codigo_barras"];
			$current->producto_codigo_almacen = $lista[$indice]["producto_codigo_almacen"];
			$current->producto_fabricante = $lista[$indice]["producto_fabricante"];
			$current->producto_modelo = $lista[$indice]["producto_modelo"];
			$current->producto_serie = $lista[$indice]["producto_serie"];
			$current->producto_peso = $lista[$indice]["producto_peso"];
			$current->producto_stock_minimo = $lista[$indice]["producto_stock_minimo"];
			$current->producto_unitario_id = $lista[$indice]["producto_unitario_id"];
			$current->producto_unitario_nombre = $lista[$indice]["producto_unitario_nombre"];
			$current->producto_fracciones = $lista[$indice]["producto_fracciones"];
			$current->unidad_medida_id = $lista[$indice]["unidad_medida_id"];
			$current->unidad_medida_nombre = $lista[$indice]["unidad_medida_nombre"];
			$current->unidad_medida_simbolo = $lista[$indice]["unidad_medida_simbolo"];
			$current->categoria_id = $lista[$indice]["categoria_id"];
			$current->categoria_codigo = $lista[$indice]["categoria_codigo"];
			$current->categoria_nombre = $lista[$indice]["categoria_nombre"];
			$current->tienda_nombre = $lista[$indice]["tienda_nombre"];
			$current->tienda_imagen = $lista[$indice]["tienda_imagen"];
			$current->tienda_ubicacion = $lista[$indice]["tienda_ubicacion"];
			$current->tienda_telefono = $lista[$indice]["tienda_telefono"];
			
			$current->usuario_modificacion = $lista[$indice]["usuario_modificacion"];
			$current->fecha_creacion = $lista[$indice]["fecha_creacion"];
			$current->fecha_modificacion = $lista[$indice]["fecha_modificacion"];
			$current->activo = $lista[$indice]["activo"];
		}
		return $current;
	}

	public function get_almacen_tienda_id() { return $this->almacen_tienda_id; }
	public function get_almacen_general_id() { return $this->almacen_general_id; }
	public function get_movimiento_producto_id() { return $this->movimiento_producto_id; }
	public function get_moneda_codigo() { return $this->moneda_codigo; }
	public function get_moneda_simbolo() { return $this->moneda_simbolo; }
	public function get_moneda_cambio() { return $this->moneda_cambio; }
	public function get_igv_porcentaje() { return $this->igv_porcentaje; }
	public function get_tienda_id() { return $this->tienda_id; }
	public function get_producto_id() { return $this->producto_id; }
	public function get_precio_compra() { return $this->precio_compra; }
	public function get_precio_venta() { return $this->precio_venta; }
	public function get_precio_minimo() { return $this->precio_minimo; }
	public function get_unidades() { return $this->unidades; }
	public function get_fecha_vencimiento() { return $this->fecha_vencimiento; }
	public function get_ubicacion() { return $this->ubicacion; }
	public function get_tipo_movimiento() { return $this->tipo_movimiento; }
	
	public function get_nombre_alternativo() { return $this->nombre_alternativo; }
	public function get_producto_nombre() { return $this->producto_nombre; }
	public function get_producto_imagen() { return $this->producto_imagen; }
	public function get_producto_codigo() { return $this->producto_codigo; }
	public function get_producto_codigo_barras() { return $this->producto_codigo_barras; }
	public function get_producto_codigo_almacen() { return $this->producto_codigo_almacen; }
	public function get_producto_fabricante() { return $this->producto_fabricante; }
	public function get_producto_modelo() { return $this->producto_modelo; }
	public function get_producto_serie() { return $this->producto_serie; }
	public function get_producto_peso() { return $this->producto_peso; }
	public function get_producto_stock_minimo() { return $this->producto_stock_minimo; }
	public function get_producto_unitario_id() { return $this->producto_unitario_id; }
	public function get_producto_unitario_nombre() { return $this->producto_unitario_nombre; }
	public function get_producto_fracciones() { return $this->producto_fracciones; }
	public function get_unidad_medida_id() { return $this->unidad_medida_id; }
	public function get_unidad_medida_nombre() { return $this->unidad_medida_nombre; }
	public function get_unidad_medida_simbolo() { return $this->unidad_medida_simbolo; }
	public function get_categoria_id() { return $this->categoria_id; }
	public function get_categoria_codigo() { return $this->categoria_codigo; }
	public function get_categoria_nombre() { return $this->categoria_nombre; }
	public function get_tienda_nombre() { return $this->tienda_nombre; }
	public function get_tienda_imagen() { return $this->tienda_imagen; }
	public function get_tienda_ubicacion() { return $this->tienda_ubicacion; }
	public function get_tienda_telefono() { return $this->tienda_telefono; }
	public function get_usuario_modificacion(){  return $this->usuario_modificacion; }
	public function get_fecha_creacion(){  return $this->fecha_creacion; }
	public function get_fecha_modificacion(){  return $this->fecha_modificacion; }
	public function get_activo() { return $this->activo; }
	
	public function set_almacen_tienda_id($almacen_tienda_id){ $this->almacen_tienda_id = $almacen_tienda_id; }
	public function set_almacen_general_id($almacen_general_id){ $this->almacen_general_id = $almacen_general_id; }
	public function set_movimiento_producto_id($movimiento_producto_id){ $this->movimiento_producto_id = $movimiento_producto_id; }
	public function set_moneda_codigo($moneda_codigo){ $this->moneda_codigo = $moneda_codigo; }
	public function set_igv_porcentaje($igv_porcentaje){ $this->igv_porcentaje = $igv_porcentaje; }
	public function set_tienda_id($tienda_id){ $this->tienda_id = $tienda_id; }
	public function set_producto_id($producto_id){ $this->producto_id = $producto_id; }
	public function set_precio_compra($precio_compra){ $this->precio_compra = $precio_compra; }
	public function set_precio_venta($precio_venta){ $this->precio_venta = $precio_venta; }
	public function set_precio_minimo($precio_minimo){ $this->precio_minimo = $precio_minimo; }
	public function set_unidades($unidades){ $this->unidades = $unidades; }
	public function set_fecha_vencimiento($fecha_vencimiento){ $this->fecha_vencimiento = $fecha_vencimiento; }
	public function set_ubicacion($ubicacion){ $this->ubicacion = $ubicacion; }
	public function set_tipo_movimiento($tipo_movimiento){ $this->tipo_movimiento = $tipo_movimiento; }
	public function set_usuario_modificacion($usuario_modificacion){ $this->usuario_modificacion = $usuario_modificacion; }
	public function set_fecha_creacion($fecha_creacion){ $this->fecha_creacion = $fecha_creacion; }
	public function set_fecha_modificacion($fecha_modificacion){ $this->fecha_modificacion = $fecha_modificacion; }
	public function set_activo($activo){ $this->activo = $activo; }
	
	public function registrar( $usuario_editor ){
		$conn = new cls_Conexion();
		$respuesta = false;
		$values = array();
		if ( $this->almacen_tienda_id == 0 ){ // REGISTER
			array_push($values, $this->almacen_general_id);
			array_push($values, $this->movimiento_producto_id);
			array_push($values, $this->tienda_id);
			array_push($values, $this->producto_id);
			array_push($values, $this->moneda_codigo);
			array_push($values, $this->igv_porcentaje);
			array_push($values, $this->precio_compra);
			array_push($values, $this->precio_venta);
			array_push($values, $this->precio_minimo);
			array_push($values, $this->unidades);
			array_push($values, $this->fecha_vencimiento);
			array_push($values, $this->ubicacion);
			array_push($values, $this->tipo_movimiento);
			array_push($values, $usuario_editor);
			$respuesta = $conn->nuevo_registro($this->db_nombretabla, $values);
			$this->db_mensaje = $conn->GetMensaje();
			if ( $respuesta ){
				$this->almacen_tienda_id = $conn->getlastId();
			}
		} else { // UPDATE
			array_push($values, $this->almacen_general_id);
			array_push($values, $this->movimiento_producto_id);
			array_push($values, $this->tienda_id);
			array_push($values, $this->producto_id);
			array_push($values, $this->moneda_codigo);
			array_push($values, $this->igv_porcentaje);
			array_push($values, $this->precio_compra);
			array_push($values, $this->precio_venta);
			array_push($values, $this->precio_minimo);
			array_push($values, $this->unidades);
			array_push($values, $this->fecha_vencimiento);
			array_push($values, $this->ubicacion);
			array_push($values, $this->tipo_movimiento);
			array_push($values, $usuario_editor);
			array_push($values, $this->almacen_tienda_id);
			$respuesta = $conn->editar_registro($this->db_nombretabla, $values);
			$this->db_mensaje = $conn->GetMensaje();
		}
		return $respuesta;
	}
	
	public function importar( $usuario_editor ){
		$conn = new cls_Conexion();
		$respuesta = false;
		$values = array();
			array_push($values, $this->almacen_tienda_id);
			array_push($values, $this->almacen_general_id);
			array_push($values, $this->movimiento_producto_id);
			array_push($values, $this->tienda_id);
			array_push($values, $this->producto_id);
			array_push($values, $this->moneda_codigo);
			array_push($values, $this->igv_porcentaje);
			array_push($values, $this->precio_compra);
			array_push($values, $this->precio_venta);
			array_push($values, $this->precio_minimo);
			array_push($values, $this->unidades);
			array_push($values, $this->fecha_vencimiento);
			array_push($values, $this->ubicacion);
			array_push($values, $this->tipo_movimiento);
			array_push($values, $this->usuario_modificacion);
			array_push($values, $this->fecha_creacion);
			array_push($values, $this->fecha_modificacion);
			array_push($values, $this->activo);
			
			array_push($values, $this->almacen_general_id);
			array_push($values, $this->movimiento_producto_id);
			array_push($values, $this->tienda_id);
			array_push($values, $this->producto_id);
			array_push($values, $this->moneda_codigo);
			array_push($values, $this->igv_porcentaje);
			array_push($values, $this->precio_compra);
			array_push($values, $this->precio_venta);
			array_push($values, $this->precio_minimo);
			array_push($values, $this->unidades);
			array_push($values, $this->fecha_vencimiento);
			array_push($values, $this->ubicacion);
			array_push($values, $this->tipo_movimiento);
			array_push($values, $this->usuario_modificacion);
			array_push($values, $this->fecha_creacion);
			array_push($values, $this->fecha_modificacion);
			array_push($values, $this->activo);
		$respuesta = $conn->importar_registro($this->db_nombretabla, $values);
		$this->db_mensaje = $conn->GetMensaje();
		if ( $respuesta ){
			$this->almacen_tienda_id = $conn->getlastId();
		};
		return $respuesta;
	}

	public function eliminar( $usuario_editor ){
		$conn = new cls_Conexion();
		$respuesta = false;
		$values = array();
		if ($this->almacen_tienda_id > 0){ // DELETE
			array_push($values, $usuario_editor);
			array_push($values, $this->almacen_tienda_id );
			$respuesta = $conn->eliminar_registro($this->db_nombretabla, $values);
			$this->db_mensaje = $conn->GetMensaje();
		} else {
			$this->db_mensaje = "No se puede realizar este proceso";
		}
		return $respuesta;
	}
}

class cls_Group_Almacen_Tienda{

	protected $db_mensaje = "";
	protected $db_nombre_tabla = "vista_almacen_tienda";
	protected $db_nombres_columnas_agrupadas = "*";
	protected $db_nombres_columnas = "*";
	protected $db_filtro = "1";
	protected $db_agrupar = "";
	protected $db_orden_columna = "nombre";
	protected $db_orden_direccion = "ASC";
	protected $db_cantidad = 0;
	protected $db_filtro_datos = array();
	protected $db_filas = array();
	
	public function __construct(){
		$this->db_nombres_columnas_agrupadas = "GROUP_CONCAT(almacen_tienda_id SEPARATOR ', ') AS almacen_tienda_id, almacen_general_id, movimiento_producto_id, moneda_codigo, moneda_simbolo, moneda_cambio, igv_porcentaje, GROUP_CONCAT(DISTINCT precio_compra SEPARATOR ', ') AS precio_compra, GROUP_CONCAT(DISTINCT precio_venta SEPARATOR ', ') AS precio_venta, GROUP_CONCAT(DISTINCT precio_minimo SEPARATOR ', ') AS precio_minimo, SUM(unidades) AS unidades, GROUP_CONCAT(DISTINCT fecha_vencimiento SEPARATOR ', ') AS fecha_vencimiento, ubicacion, tipo_movimiento, tienda_id, tienda_nombre, tienda_imagen, tienda_ubicacion, tienda_telefono, producto_id, producto_nombre, nombre_alternativo, producto_imagen, producto_codigo, producto_codigo_barras, producto_codigo_almacen, producto_fabricante, producto_modelo, producto_serie, producto_peso, producto_stock_minimo, producto_unitario_id, producto_unitario_nombre, producto_fracciones, categoria_id, categoria_codigo, categoria_nombre, unidad_medida_id, unidad_medida_nombre, unidad_medida_simbolo, usuario_modificacion, fecha_creacion, fecha_modificacion, activo";
		$this->db_nombres_columnas = "almacen_tienda_id, almacen_general_id, movimiento_producto_id, moneda_codigo, moneda_simbolo, moneda_cambio, igv_porcentaje, precio_compra, precio_venta, precio_minimo, unidades, fecha_vencimiento, ubicacion, tipo_movimiento, tienda_id, tienda_nombre, tienda_imagen, tienda_ubicacion, tienda_telefono, producto_id, producto_nombre, nombre_alternativo, producto_imagen, producto_codigo, producto_codigo_barras, producto_codigo_almacen, producto_fabricante, producto_modelo, producto_serie, producto_peso, producto_stock_minimo, producto_unitario_id, producto_unitario_nombre, producto_fracciones, categoria_id, categoria_codigo, categoria_nombre, unidad_medida_id, unidad_medida_nombre, unidad_medida_simbolo, usuario_modificacion, fecha_creacion, fecha_modificacion, activo";
		$this->db_orden_columna = "nombre";
	}

	static public function Export($fecha_min, $fecha_max, $ordendireccion="ASC", $ordencolumna="almacen_tienda_id"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$current->db_filtro = "DATE(fecha_creacion) > DATE(?) AND DATE(fecha_creacion) <= DATE(?)";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		//$current->db_agrupar = "producto_id, precio_venta, precio_minimo, fecha_vencimiento";
		$current->db_agrupar = "";
		array_push($current->db_filtro_datos, $fecha_min);
		array_push($current->db_filtro_datos, $fecha_max);
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	static public function Buscar($tienda, $buscar="", $ordendireccion="ASC", $ordencolumna="producto_nombre"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$l_buscar = explode(" ", $buscar);
		$current->db_filtro = "";
		for ($idx=0; $idx<count($l_buscar); $idx++){
			array_push($current->db_filtro_datos, "%".$l_buscar[$idx]."%" );
			$current->db_filtro .= "CONCAT(producto_codigo, ' ', producto_nombre, ' ', nombre_alternativo) LIKE ? AND ";
		}
		array_push($current->db_filtro_datos, $tienda );
		$current->db_filtro .= "tienda_id = ? AND unidades > 0 AND activo = true";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		//$current->db_agrupar = "producto_id, precio_venta, precio_minimo, fecha_vencimiento";
		$current->db_agrupar = "";
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	static public function BuscarMinimo($tienda, $buscar="", $ordendireccion="ASC", $ordencolumna="producto_nombre"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$l_buscar = explode(" ", $buscar);
		$current->db_filtro = "";
		for ($idx=0; $idx<count($l_buscar); $idx++){
			array_push($current->db_filtro_datos, "%".$l_buscar[$idx]."%" );
			$current->db_filtro .= "CONCAT(producto_codigo, ' ', producto_nombre, ' ', nombre_alternativo) LIKE ? AND ";
		}
		array_push($current->db_filtro_datos, $tienda );
		$current->db_filtro .= "tienda_id = ? AND producto_stock_minimo > unidades AND unidades > 0 AND activo = true";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		//$current->db_agrupar = "producto_id, precio_venta, precio_minimo, fecha_vencimiento";
		$current->db_agrupar = "";
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	static public function BuscarAgrupado($tienda, $buscar="", $ordendireccion="ASC", $ordencolumna="producto_nombre"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$l_buscar = explode(" ", $buscar);
		$current->db_filtro = "";
		for ($idx=0; $idx<count($l_buscar); $idx++){
			array_push($current->db_filtro_datos, "%".$l_buscar[$idx]."%" );
			$current->db_filtro .= "CONCAT(producto_codigo, ' ', producto_nombre, ' ', nombre_alternativo) LIKE ? AND ";
		}
		array_push($current->db_filtro_datos, $tienda );
		$current->db_filtro .= "tienda_id = ? AND unidades > 0 AND activo = true";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		$current->db_nombres_columnas = $current->db_nombres_columnas_agrupadas;
		$current->db_agrupar = "producto_id, precio_venta, precio_compra, precio_minimo, fecha_vencimiento";
		//$current->db_agrupar = "";
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	static public function BuscarCategoriaStock($tienda, $buscar="", $categoria=0, $existencia=-1, $ordendireccion="ASC", $ordencolumna="producto_nombre"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$l_buscar = explode(" ", $buscar);
		$current->db_filtro = "";
		for ($idx=0; $idx<count($l_buscar); $idx++){
			array_push($current->db_filtro_datos, "%".$l_buscar[$idx]."%" );
			$current->db_filtro .= "CONCAT(producto_codigo, ' ', producto_nombre, ' ', nombre_alternativo) LIKE ? AND ";
		}
		array_push($current->db_filtro_datos, $tienda );
		array_push($current->db_filtro_datos, $categoria );
		array_push($current->db_filtro_datos, $categoria );
		array_push($current->db_filtro_datos, $existencia );
		array_push($current->db_filtro_datos, $existencia );
		$current->db_filtro .= "tienda_id = ? AND (categoria_id = ? OR ? = 0) AND (unidades <= ? OR ? = -1) AND activo = true";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		//$current->db_agrupar = "producto_id, precio_venta, precio_minimo, fecha_vencimiento";
		$current->db_agrupar = "";
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	static public function BuscarCategoriaStockAgrupado($tienda, $buscar="", $categoria=0, $existencia=-1, $ordendireccion="ASC", $ordencolumna="producto_nombre"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$l_buscar = explode(" ", $buscar);
		$current->db_filtro = "";
		for ($idx=0; $idx<count($l_buscar); $idx++){
			array_push($current->db_filtro_datos, "%".$l_buscar[$idx]."%" );
			$current->db_filtro .= "CONCAT(producto_codigo, ' ', producto_nombre, ' ', nombre_alternativo) LIKE ? AND ";
		}
		array_push($current->db_filtro_datos, $tienda );
		array_push($current->db_filtro_datos, $categoria );
		array_push($current->db_filtro_datos, $categoria );
		array_push($current->db_filtro_datos, $existencia );
		array_push($current->db_filtro_datos, $existencia );
		$current->db_filtro .= "tienda_id = ? AND (categoria_id = ? OR ? = 0) AND (unidades <= ? OR ? = -1) AND activo = true";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		$current->db_nombres_columnas = $current->db_nombres_columnas_agrupadas;
		$current->db_agrupar = "producto_id, precio_venta, precio_compra, precio_minimo, fecha_vencimiento";
		//$current->db_agrupar = "";
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	static public function CodigoBarras($tienda, $buscar="", $ordendireccion="ASC", $ordencolumna="producto_nombre"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$current->db_filtro = "tienda_id = ? AND producto_codigo_barras LIKE ? AND unidades > 0 AND activo = true";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		//$current->db_agrupar = "producto_id, precio_venta, precio_minimo, fecha_vencimiento";
		$current->db_agrupar = "";
		array_push($current->db_filtro_datos, $tienda );
		array_push($current->db_filtro_datos, "%".$buscar."%" );
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	static public function CodigoBarrasAgrupado($tienda, $buscar="", $ordendireccion="ASC", $ordencolumna="producto_nombre"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$current->db_filtro = "tienda_id = ? AND producto_codigo_barras LIKE ? AND unidades > 0 AND activo = true";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		$current->db_nombres_columnas = $current->db_nombres_columnas_agrupadas;
		$current->db_agrupar = "producto_id, precio_compra, precio_venta, precio_minimo, fecha_vencimiento";
		//$current->db_agrupar = "";
		array_push($current->db_filtro_datos, $tienda );
		array_push($current->db_filtro_datos, "%".$buscar."%" );
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	static public function OtrosBuscar($tienda, $buscar="", $ordendireccion="ASC", $ordencolumna="producto_nombre"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$l_buscar = explode(" ", $buscar);
		$current->db_filtro = "";
		for ($idx=0; $idx<count($l_buscar); $idx++){
			array_push($current->db_filtro_datos, "%".$l_buscar[$idx]."%" );
			$current->db_filtro .= "CONCAT(producto_codigo, ' ', producto_nombre, ' ', nombre_alternativo) LIKE ? AND ";
		}
		array_push($current->db_filtro_datos, $tienda );
		$current->db_filtro .= "tienda_id != ? AND unidades > 0 AND activo = true";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		//$current->db_agrupar = "producto_id, precio_venta, precio_minimo, fecha_vencimiento";
		$current->db_agrupar = "";
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	static public function OtrosBuscarCategoriaStock($tienda, $buscar="", $categoria=0, $existencia=-1, $ordendireccion="ASC", $ordencolumna="producto_nombre"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$l_buscar = explode(" ", $buscar);
		$current->db_filtro = "";
		for ($idx=0; $idx<count($l_buscar); $idx++){
			array_push($current->db_filtro_datos, "%".$l_buscar[$idx]."%" );
			$current->db_filtro .= "CONCAT(producto_codigo, ' ', producto_nombre, ' ', nombre_alternativo) LIKE ? AND ";
		}
		array_push($current->db_filtro_datos, $tienda );
		array_push($current->db_filtro_datos, $categoria );
		array_push($current->db_filtro_datos, $categoria );
		array_push($current->db_filtro_datos, $existencia );
		array_push($current->db_filtro_datos, $existencia );
		$current->db_filtro .= "tienda_id != ? AND (categoria_id = ? OR ? = 0) AND (unidades <= ? OR ? = -1) AND activo = true";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		//$current->db_agrupar = "producto_id, precio_venta, precio_minimo, fecha_vencimiento";
		$current->db_agrupar = "";
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	static public function OtrosCodigoBarras($tienda, $buscar="", $ordendireccion="ASC", $ordencolumna="producto_nombre"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$current->db_filtro = "tienda_id != ? AND producto_codigo_barras LIKE ? AND unidades > 0 AND activo = true";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		//$current->db_agrupar = "producto_id, precio_venta, precio_minimo, fecha_vencimiento";
		$current->db_agrupar = "";
		array_push($current->db_filtro_datos, $tienda );
		array_push($current->db_filtro_datos, "%".$buscar."%" );
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	static public function ProductoPrecios($tienda, $f_producto_id, $f_precio_venta, $f_precio_minimo, $ordendireccion="ASC", $ordencolumna="producto_nombre"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$current->db_filtro = "tienda_id = ? AND producto_id = ? AND precio_venta = ? AND precio_minimo = ? AND activo = true";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		//$current->db_agrupar = "producto_id, precio_venta, precio_minimo, fecha_vencimiento";
		$current->db_agrupar = "";
		array_push($current->db_filtro_datos, $tienda );
		array_push($current->db_filtro_datos, $f_producto_id );
		array_push($current->db_filtro_datos, $f_precio_venta );
		array_push($current->db_filtro_datos, $f_precio_minimo );
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	static public function Producto($tienda, $f_producto_id, $ordendireccion="ASC", $ordencolumna="producto_nombre"){
		$conn = new cls_Conexion();
		$current = new cls_Group_Almacen_Tienda();
		$current->db_filtro = "tienda_id = ? AND producto_id = ? AND activo = true";
		$current->db_orden_columna = $ordencolumna;
		$current->db_orden_direccion = $ordendireccion;
		//$current->db_agrupar = "producto_id, precio_venta, precio_minimo, fecha_vencimiento";
		$current->db_agrupar = "";
		array_push($current->db_filtro_datos, $tienda );
		array_push($current->db_filtro_datos, $f_producto_id );
		$current->db_cantidad = $conn->contar_filas( $current->db_nombre_tabla, $current->db_filtro, $current->db_filtro_datos, $current->db_agrupar );
		$current->db_mensaje = $conn->getMensaje();
		return $current;
	}
	public function cargar_datos( $offset, $cantidad ){
		$conn = new cls_Conexion();
		$this->db_filas = $conn->listar_filas( $this->db_nombre_tabla, $this->db_nombres_columnas, $this->db_orden_columna, $this->db_orden_direccion, $this->db_filtro, $this->db_filtro_datos, $offset, $cantidad, $this->db_agrupar );
		$this->db_mensaje = $conn->GetMensaje();
	}
	public function get_cantidad_cargados(){
		return count($this->db_filas);
	}
	public function get_cantidad(){
		return $this->db_cantidad;
	}
	
	public function get_almacen_tienda_id($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["almacen_tienda_id"];
			return $val;
		}
		return 0;
	}
	public function get_almacen_general_id($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["almacen_general_id"];
			return $val;
		}
		return "";
	}
	public function get_movimiento_producto_id($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["movimiento_producto_id"];
			return $val;
		}
		return "";
	}
	public function get_tienda_id($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["tienda_id"];
			return $val;
		}
		return "";
	}
	public function get_producto_id($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_id"];
			return $val;
		}
		return "";
	}
	public function get_precio_compra($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["precio_compra"];
			return $val;
		}
		return "";
	}
	public function get_precio_venta($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["precio_venta"];
			return $val;
		}
		return "";
	}
	public function get_precio_minimo($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["precio_minimo"];
			return $val;
		}
		return "";
	}
	public function get_unidades($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["unidades"];
			return $val;
		}
		return "";
	}
	public function get_fecha_vencimiento($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["fecha_vencimiento"];
			return $val;
		}
		return "";
	}
	public function get_ubicacion($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["ubicacion"];
			return $val;
		}
		return "";
	}
	public function get_tipo_movimiento($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["tipo_movimiento"];
			return $val;
		}
		return "";
	}
	public function get_nombre_alternativo($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["nombre_alternativo"];
			return $val;
		}
		return "";
	}
	public function get_producto_nombre($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_nombre"];
			return $val;
		}
		return "";
	}
	public function get_producto_imagen($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_imagen"];
			return $val;
		}
		return "";
	}
	public function get_producto_codigo($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_codigo"];
			return $val;
		}
		return "";
	}
	public function get_producto_codigo_barras($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_codigo_barras"];
			return $val;
		}
		return "";
	}
	public function get_producto_codigo_almacen($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_codigo_almacen"];
			return $val;
		}
		return "";
	}
	public function get_producto_fabricante($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_fabricante"];
			return $val;
		}
		return "";
	}
	public function get_producto_modelo($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_modelo"];
			return $val;
		}
		return "";
	}
	public function get_producto_serie($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_serie"];
			return $val;
		}
		return "";
	}
	public function get_producto_peso($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_peso"];
			return $val;
		}
		return "";
	}
	public function get_producto_stock_minimo($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_stock_minimo"];
			return $val;
		}
		return 0;
	}
	public function get_producto_unitario_id($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_unitario_id"];
			return $val;
		}
		return 0;
	}
	public function get_producto_unitario_nombre($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_unitario_nombre"];
			return $val;
		}
		return "";
	}
	public function get_producto_fracciones($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["producto_fracciones"];
			return $val;
		}
		return 0;
	}
	public function get_unidad_medida_id($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["unidad_medida_id"];
			return $val;
		}
		return 0;
	}
	public function get_unidad_medida_nombre($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["unidad_medida_nombre"];
			return $val;
		}
		return "";
	}
	public function get_unidad_medida_simbolo($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["unidad_medida_simbolo"];
			return $val;
		}
		return "";
	}
	public function get_categoria_id($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["categoria_id"];
			return $val;
		}
		return 0;
	}
	public function get_categoria_codigo($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["categoria_codigo"];
			return $val;
		}
		return "";
	}
	public function get_categoria_nombre($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["categoria_nombre"];
			return $val;
		}
		return "";
	}
	public function get_tienda_nombre($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["tienda_nombre"];
			return $val;
		}
		return "";
	}
	public function get_tienda_imagen($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["tienda_imagen"];
			return $val;
		}
		return "";
	}
	public function get_tienda_ubicacion($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["tienda_ubicacion"];
			return $val;
		}
		return "";
	}
	public function get_tienda_telefono($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["tienda_telefono"];
			return $val;
		}
		return "";
	}
	public function get_moneda_codigo($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["moneda_codigo"];
			return $val;
		}
		return "";
	}
	public function get_moneda_simbolo($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["moneda_simbolo"];
			return $val;
		}
		return "";
	}
	public function get_moneda_cambio($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["moneda_cambio"];
			return $val;
		}
		return "";
	}
	public function get_igv_porcentaje($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["igv_porcentaje"];
			return $val;
		}
		return "";
	}
	public function get_usuario_modificacion($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["usuario_modificacion"];
			return $val;
		}
		return 0;
	}
	public function get_fecha_creacion($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["fecha_creacion"];
			return $val;
		}
		return "";
	}
	public function get_fecha_modificacion($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["fecha_modificacion"];
			return $val;
		}
		return "";
	}
	public function get_activo($indice){
		if ($indice >= 0 && count($this->db_filas) > $indice){
			$val = $this->db_filas[$indice]["activo"];
			return $val;
		}
		return "";
	}
};
?>		
